      subroutine lat2a_init(ns,nd,ipf,ipb) ! BB Jun 05 2008.
      dimension ipf(nd,2*ns),ipb(nd,2*ns)
C Initialize pointer arrays for nlat=2.
      do is=1,ns
        iis=is+ns
        do id=1,nd
          if(ipf(id,is).lt.1.or.ipf(id,is).gt.ns) stop "F: lat2a_init."
          ipf(id,iis)=ipf(id,is)+ns
          if(ipb(id,is).lt.1.or.ipb(id,is).gt.ns) stop "B: lat2a_init."
          ipb(id,iis)=ipb(id,is)+ns
        enddo
      enddo
      return
      end 
      
